package com.xhpc.order.service;

import org.junit.After;
import org.junit.Before;
import org.junit.jupiter.api.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.Map;

/**
 * @author yuyang
 * @date 2021/9/14 16:42
 * @Version 1.0
 */
@SpringBootTest
public class ServiceTest {

    @Autowired
    private IXhpcChargeOrderService xhpcChargeOrderService;


    @Before
    public void setUp() throws Exception {
        System.out.println("+++++++++++++++++初始化+++++++++++++");
    }

    @Test
    public void test(){
        Map<String, Object> orderMessage = xhpcChargeOrderService.getPromotion();
        System.out.println("orderMessage :"+orderMessage.toString());
        System.out.println("111111111111111111111111");
    }

    @After
    public void tearDown() throws Exception {
        System.out.println("释放资源，执行当前测试类的每个测试方法后执行");
    }
}
